package com.sheep.gamegroup.model.entity;

/**
 * Created by realicing on 2018/9/4.
 * realicing@sina.com
 */
public class GiftBagApp {

    private GiftBag gift_bag;

    private Applications app;

    private String code;

    private boolean received;

    public boolean isReceived() {
        return received;
    }

    public void setReceived(boolean received) {
        this.received = received;
    }

    public void setGift_bag(GiftBag gift_bag){
        this.gift_bag = gift_bag;
    }
    public GiftBag getGift_bag(){
        return this.gift_bag;
    }
    public void setApp(Applications app){
        this.app = app;
    }
    public Applications getApp(){
        return this.app;
    }
    public void setCode(String code){
        this.code = code;
    }
    public String getCode(){
        return this.code;
    }



    @Override
    public boolean equals(Object obj) {
        try {
            return obj instanceof GiftBagApp && ((GiftBagApp) obj).getGift_bag().getId() == getGift_bag().getId();
        } catch (Exception e) {
            return true;
        }
    }
}
